List all accounts

Returns a list of accounts connected to your identity.

Query Parameters
  • last_key
    Type: string
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/accounts
curl 'https://api.paypercut.io/v1/accounts?last_key=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "type": "standard",
      "country": "GB",
      "default_currency": "EUR",
      "email": "john.smith@example.com",
      "details_submitted": true,
      "business_type": "company",
      "tos_acceptance": {
        "date": "2026-04-17T20:01:58.674Z",
        "ip": "string",
        "user_agent": "string",
        "service_agreement": "string"
      },
      "business_profile": {
        "name": null,
        "support_email": null,
        "support_phone": null,
        "support_url": null,
        "mcc": 5411,
        "url": "https://www.example.com",
        "annual_revenue": {
          "amount": 1,
          "currency": "EUR",
          "fiscal_year_end": "string"
        },
        "support_address": {
          "city": null,
          "country": null,
          "line1": null,
          "line2": null,
          "postal_code": null,
          "state": null
        },
        "monthly_estimated_revenue": {
          "amount": 1,
          "currency": "EUR"
        },
        "product_description": null,
        "estimated_worker_count": null
      },
      "company": {
        "address": {
          "city": null,
          "country": null,
          "line1": null,
          "line2": null,
          "postal_code": null,
          "state": null
        },
        "directors_provided": true,
        "executives_provided": true,
        "name": null,
        "owners_provided": true,
        "phone": null,
        "structure": "multi_member_llc",
        "tax_id_provided": true,
        "tax_id_registrar": "string",
        "vat_id_provided": true,
        "directorship_declaration": {
          "date": "2026-04-17T20:01:58.674Z",
          "ip": "string",
          "user_agent": "string"
        },
        "ownership_declaration": {
          "date": "2026-04-17T20:01:58.674Z",
          "ip": "string",
          "user_agent": "string"
        },
        "representative_declaration": {
          "date": "2026-04-17T20:01:58.674Z",
          "ip": "string",
          "user_agent": "string"
        }
      },
      "requirements": {
        "current_deadline": null,
        "currently_due": [
          "string"
        ],
        "disabled_reason": "action_required.requested_capabilities",
        "errors": [
          {
            "code": "external_request",
            "reason": "string",
            "requirement": "string"
          }
        ],
        "eventually_due": [
          "string"
        ],
        "past_due": [],
        "pending_verification": [
          "string"
        ]
      },
      "metadata": {
        "additionalProperty": "string"
      },
      "id": "01KAKB228G3K4E98NFVE2MGHW4",
      "created": "2026-04-17T20:01:58.674Z"
    }
  ],
  "last_key": "string"
}